# Class CIM_ConfigurationComponent

Note: The Configuration class is being deprecated in lieu of using a ConcreteComponent relationship to indicate a hierarchy of instances of Setting or SettingData. Deprecated description: ConfigurationComponent aggregates "lower-level" Configuration objects into a "high-level" Configuration. This association enables the assembly of complex configurations by grouping together simpler ones. For example, a logon policy for the United States could consist of two Configuration groups, one for the East Coast and one for the West Coast. Each of these groups could in turn consist of multiple Configurations to handle different aspects of the logon process.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ConfigurationComponent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | CIM_ConcreteComponent

Description

string

Note: The Configuration class is being deprecated in lieu of using a ConcreteComponent relationship to indicate a hierarchy of instances of Setting or SettingData. Deprecated description: ConfigurationComponent aggregates "lower-level" Configuration objects into a "high-level" Configuration. This association enables the assembly of complex configurations by grouping together simpler ones. For example, a logon policy for the United States could consist of two Configuration groups, one for the East Coast and one for the West Coast. Each of these groups could in turn consist of multiple Configurations to handle different aspects of the logon process.

UMLPackagePath | string | CIM::Core::Settings
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
ConfigComponent | CIM_ConfigurationComponent | CIM_Configuration
ConfigGroup | CIM_ConfigurationComponent | CIM_Configuration

## Class Methods